import React from "react";

import cardPropTypes, {
  defaultProps,
  propsDescription
} from "./Card.propTypes";

import SkeletonThemeWrapper from "../../customization-cornor/skeletonCustomization";

let SkeletonWrapper = (props) => {
  let renderProps = {};
  let { renderComponent, ...basicProps } = props;
  return (
    <SkeletonThemeWrapper
      basicProps={basicProps}
      renderProps={renderProps}
      component={renderComponent}
    />
  );
};
export default function CardBehaviour(props) {
  return <SkeletonWrapper {...props} />;
}

CardBehaviour.propTypes = cardPropTypes;
CardBehaviour.defaultProps = defaultProps;
CardBehaviour.propsDescription = propsDescription;

// sub-comp
export let AvatarBehaviour = (props) => {
  return <SkeletonWrapper {...props} />;
};

export let PrimaryTextBehaviour = (props) => {
  return <SkeletonWrapper {...props} />;
};

export let SecondaryTextBehaviour = (props) => {
  return <SkeletonWrapper {...props} />;
};

export let ButtonBehaviour = (props) => {
  return <SkeletonWrapper {...props} />;
};
export let TextFieldsBehaviour = (props) => {
  return <SkeletonWrapper {...props} />;
};
export let FooterActionsBehaviour = (props) => {
  return <SkeletonWrapper {...props} />;
};

export let HeaderActionsBehaviour = (props) => {
  return <SkeletonWrapper {...props} />;
};
